import { ConsoleLike, DeviceData, HomeIndex } from './types';
import { ClimaMode, ClimaOnOff, ThermoSeason } from './comelit-client';
export interface BridgeLoginInfo {
    domus: string;
    life: number;
    logged: number;
    rt_stat: number;
    old_auth: string;
    dataora: number;
    toolbar: string;
    icon_status: string;
}
export declare function getLightKey(index: number): string;
export declare function getBlindKey(index: number): string;
export declare function getClimaKey(index: number): string;
export declare function getOtherKey(index: number): string;
export declare function getZoneKey(index: number): string;
export declare class ComelitSbClient {
    private readonly address;
    private readonly onUpdate;
    private readonly log;
    constructor(address: string, port?: number, username?: string, password?: string, onUpdate?: (objId: string, device: DeviceData) => void, log?: ConsoleLike);
    login(): Promise<boolean>;
    shutdown(): Promise<void>;
    fetchHomeIndex(): Promise<HomeIndex>;
    private fetchDeviceDesc;
    updateHomeStatus(homeIndex: HomeIndex): Promise<HomeIndex>;
    private updateSingleDevice;
    toggleDeviceStatus(index: number, status: number, type?: string): Promise<boolean>;
    setTemperature(clima: number, temperature: number): Promise<boolean>;
    switchThermostatMode(clima: number, mode: ClimaMode): Promise<boolean>;
    switchThermostatSeason(clima: number, season: ThermoSeason): Promise<boolean>;
    setHumidity(humi: number, humidity: number): Promise<boolean>;
    switchHumidifierMode(humi: number, mode: ClimaMode): Promise<boolean>;
    toggleThermostatStatus(clima: number, mode: ClimaOnOff): Promise<boolean>;
    toggleHumidifierStatus(humi: number, mode: ClimaOnOff): Promise<boolean>;
    private fetchDevicesStatus;
}
//# sourceMappingURL=comelit-sb-client.d.ts.map