/// <reference types="node" />
import { ConsoleLike } from './types';
import { Channel, DecodedResponse, OpenChannelData } from "./icona/packet";
import { BaseMessage, ConfigurationResponse, DoorItem, VIPConfig } from "./icona/types";
export declare const ICONA_BRIDGE_PORT = 64100;
export declare class IconaBridgeClient {
    private readonly host;
    private readonly port;
    readonly logger: ConsoleLike;
    private socket;
    private _socket;
    private id;
    private openChannels;
    constructor(host: string, port?: number, logger?: ConsoleLike);
    connect(): Promise<void>;
    private writeBytePacket;
    private readResponse;
    private decodeResponse;
    decodeBinaryResponse<T extends BaseMessage>(requestId: number, subtype: number, type: number, body: Buffer): DecodedResponse<T>;
    shutdown(): Promise<void>;
    openChanel(channel: Channel, additionalData?: string): Promise<OpenChannelData>;
    closeChanel(channelData: OpenChannelData): Promise<OpenChannelData>;
    authenticate(token: string): Promise<number>;
    getConfig(addressbooks: string, closeChannel?: boolean): Promise<ConfigurationResponse>;
    getServerInfo(closeChannel?: boolean): Promise<ConfigurationResponse>;
    getPushInfo(vip: VIPConfig, deviceToken: string, closeChannel?: boolean): Promise<ConfigurationResponse>;
    openDoorInit(vip: VIPConfig): Promise<void>;
    openDoor(vip: VIPConfig, doorItem: DoorItem): Promise<void>;
}
//# sourceMappingURL=icona-bridge-client.d.ts.map