import { Queue } from './queue';
declare class DeferredPromise<T> {
    readonly promise: Promise<T>;
    resolve: (value?: T | PromiseLike<T>) => void;
    reject: (reason?: any) => void;
    constructor();
}
export interface DeferredMessage<M, R> {
    timestamp: number;
    message: M;
    promise: DeferredPromise<R>;
}
export declare abstract class PromiseBasedQueue<M, R> implements Queue<M, R> {
    protected readonly queuedMessages: DeferredMessage<M, R>[];
    private timeout;
    protected constructor();
    abstract consume(message: R): boolean;
    setTimeout(timeout: number): void;
    cleanPending(timeout: number): void;
    flush(shutdown?: boolean): void;
    processQueue(response: R): void;
    enqueue(message: M): Promise<R>;
}
export {};
//# sourceMappingURL=promise-queue.d.ts.map